Bug 14148 - Drop resolveURL in favor of URL()
Drop resolveURL in favor of URL()
Status: RESOLVED FIXED
Product: WHATWG
Classification: Unclassified
Component: HTML
unspecified
Other other
: P3 blocker
: Unsorted
Assigned To: Ian 'Hixie' Hickson
contributor
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-14 17:21 UTC by contributor
Modified: 2012-07-18 18:40 UTC (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2011-09-14 17:21:39 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/complete/workers.html
Multipage: http://www.whatwg.org/C#workerlocation
Complete: http://www.whatwg.org/c#workerlocation

Comment:
shouldn't WorkerLocation also have resolveURL?

Posted from: 85.227.155.223 by simonp@opera.com
User agent: Opera/9.80 (Macintosh; Intel Mac OS X 10.5.8; U; en) Presto/2.9.168 Version/11.51
Comment 1 Anne 2011-09-14 19:26:24 UTC
We should remove resolveURL in favor of the URL specification.
Comment 2 Jonas Sicking 2011-09-15 07:36:00 UTC
I agree with Anne. Does anyone implement location.resolveURL?
Comment 3 Anne 2011-09-15 08:38:04 UTC
I stopped it in WebKit: https://bugs.webkit.org/show_bug.cgi?id=61097#c39
Comment 4 Ian 'Hixie' Hickson 2011-10-18 20:23:05 UTC
Do we have a spec for URL() that I can point people to?
Comment 5 Anne 2011-10-19 01:29:14 UTC
I created http://dvcs.w3.org/hg/url/raw-file/tip/Overview.html some time ago. Hopefully Adam will maintain it.
Comment 6 contributor 2011-10-25 00:27:39 UTC
Checked in as WHATWG revision r6745.
Check-in comment: Kill Location.resolveURL() in favour of the new URL() API.
http://html5.org/tools/web-apps-tracker?from=6744&to=6745
Comment 7 Ian 'Hixie' Hickson 2011-10-25 00:29:08 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given above
Rationale: Concurred with reporter's comments.
Comment 8 Adam Barth 2011-10-25 02:47:08 UTC
> Hopefully Adam will maintain it.

I hope to.  (/me needs to learn hg.)